close all
clear all

f=logspace(0,5,1000);
w=2*pi*f;

%Resposta em Frequncia de um Sistem
Q1=5;
w01=2*pi*51;
T1=((j*w).^2+3.44*(w01/Q1)*j*w+(w01).^2)./((j*w).^2+(w01/Q1)*j*w+(w01).^2);

Q2=5;
w02=2*pi*195;
T2=((j*w).^2+2.3*(w02/Q2)*j*w+(w02).^2)./((j*w).^2+(w02/Q2)*j*w+(w02).^2);

Q3=3.4;
w03=2*pi*2015;
T3=((j*w).^2+1.5*(w03/Q3)*j*w+(w03).^2)./((j*w).^2+(w03/Q3)*j*w+(w03).^2);

Q4=3.9;
w04=2*pi*10000;
T4=((j*w).^2+1.98*(w04/Q4)*j*w+(w04).^2)./((j*w).^2+(w04/Q4)*j*w+(w04).^2);

fig1=semilogx(f,20*log10(abs(T1.*T2.*T3.*T4)),'k');
axis([10 100000 -20 20])
grid 
set(fig1,'LineWidth',2);
ylabel('Magnitude (dB)','Fontsize',15)
title('Equalizando a Resposta em Frequncia de um Sistema','Fontsize',15)
xlabel('Frequencia (Hz)','Fontsize',15)
hold on

%Resposta em Frequncia do Equalizador
Q5=4.3;
w05=2*pi*50;
T5=((j*w).^2+(w05/Q5)*j*w+(w05).^2)./((j*w).^2+3.44*(w05/Q5)*j*w+(w05).^2);

w06=2*pi*200;
T6=((j*w).^2+(w06/Q5)*j*w+(w06).^2)./((j*w).^2+2.3*(w06/Q5)*j*w+(w06).^2);

w07=2*pi*2000;
T7=((j*w).^2+(w07/Q5)*j*w+(w07).^2)./((j*w).^2+1.5*(w07/Q5)*j*w+(w07).^2);

w08=2*pi*10300;
T8=((j*w).^2+(w08/Q5)*j*w+(w08).^2)./((j*w).^2+1.98*(w08/Q5)*j*w+(w08).^2);

fig1=semilogx(f,20*log10(abs(T5.*T6.*T7.*T8)),'--');
grid 
set(fig1,'LineWidth',2,'Color','k');
hold on

fig1=semilogx(f,20*log10(abs(T1.*T2.*T3.*T4.*T5.*T6.*T7.*T8)),'.');
grid off
set(fig1,'LineWidth',3,'Color','k');

a=line([20 40],[-12 -12]);
set(a,'LineWidth',2,'Color','k')
text(50,-12,'Resposta em Frequncia do Sistema','Fontsize',12)
b=line([20 40],[-15 -15]);
set(b,'LineWidth',2,'Color','k','LineStyle','--')
text(50,-15,'Resposta em Frequncia do Equalizador','Fontsize',12)
c=line([20 40],[-18 -18]);
set(c,'LineWidth',3,'Color','k')
text(50,-18,'Resposta em Frequncia do Sistema Corrigido','Fontsize',12)